Package com.apple.foundationdb

## Enum EventKeeper.Events

- java.lang.Object
- - java.lang.Enum<EventKeeper.Events>
  - - com.apple.foundationdb.EventKeeper.Events

All Implemented Interfaces:
  `EventKeeper.Event`, `java.io.Serializable`, `java.lang.Comparable<EventKeeper.Events>`

Enclosing interface:
  EventKeeper

    public static enum EventKeeper.Events
    extends java.lang.Enum<EventKeeper.Events>
    implements EventKeeper.Event

An enumeration of static events which occur within the FDB Java driver.

### Enum Constant Summary

Enum Constants
`BYTES_FETCHED` The total number of bytes pulled from the native layer, including length delimiters., from `ReadTransaction.get(byte[])`, `ReadTransaction.getKey(KeySelector)`, `ReadTransaction.getRange(KeySelector, KeySelector)` (and related method overrides), or any other read-type operation which occurs on a Transaction
`JNI_CALL` The number of JNI calls that were exercised.
`RANGE_QUERY_CHUNK_FAILED` The number of times a range query chunk fetch failed
`RANGE_QUERY_DIRECT_BUFFER_HIT` The number of times a DirectBuffer was used to transfer a range query chunk across the JNI boundary
`RANGE_QUERY_DIRECT_BUFFER_MISS` The number of times a range query chunk was unable to use a DirectBuffer to transfer data across the JNI boundary
`RANGE_QUERY_FETCH_TIME_NANOS` The time taken to perform an internal `getRange` fetch, in nanoseconds
`RANGE_QUERY_FETCHES` The number of direct fetches made during a range query
`RANGE_QUERY_RECORDS_FETCHED` The number of tuples fetched during a range query

### Method Summary

All Methods Static Methods Concrete Methods
`static EventKeeper.Events` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EventKeeper.Events[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.apple.foundationdb.EventKeeper.Event

`isTimeEvent, name`

### Enum Constant Detail

#### JNI_CALL

    public static final EventKeeper.Events JNI_CALL

The number of JNI calls that were exercised.

#### BYTES_FETCHED

    public static final EventKeeper.Events BYTES_FETCHED

The total number of bytes pulled from the native layer, including length delimiters., from `ReadTransaction.get(byte[])`, `ReadTransaction.getKey(KeySelector)`, `ReadTransaction.getRange(KeySelector, KeySelector)` (and related method overrides), or any other read-type operation which occurs on a Transaction

#### RANGE_QUERY_DIRECT_BUFFER_HIT

    public static final EventKeeper.Events RANGE_QUERY_DIRECT_BUFFER_HIT

The number of times a DirectBuffer was used to transfer a range query chunk across the JNI boundary

#### RANGE_QUERY_DIRECT_BUFFER_MISS

    public static final EventKeeper.Events RANGE_QUERY_DIRECT_BUFFER_MISS

The number of times a range query chunk was unable to use a DirectBuffer to transfer data across the JNI boundary

#### RANGE_QUERY_FETCHES

    public static final EventKeeper.Events RANGE_QUERY_FETCHES

The number of direct fetches made during a range query

#### RANGE_QUERY_RECORDS_FETCHED

    public static final EventKeeper.Events RANGE_QUERY_RECORDS_FETCHED

The number of tuples fetched during a range query

#### RANGE_QUERY_CHUNK_FAILED

    public static final EventKeeper.Events RANGE_QUERY_CHUNK_FAILED

The number of times a range query chunk fetch failed

#### RANGE_QUERY_FETCH_TIME_NANOS

    public static final EventKeeper.Events RANGE_QUERY_FETCH_TIME_NANOS

The time taken to perform an internal `getRange` fetch, in nanoseconds

### Method Detail

#### values

    public static EventKeeper.Events[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EventKeeper.Events c : EventKeeper.Events.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EventKeeper.Events valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null